# Persona 5 Strikers 1.0.0
# BID: C4DF04F647BDC727

unsafeCheck: true

MASTER_WRITE:
  # Block updating values
  -
    type: asm_a64
    main_offset: 0x4F3D68
    instructions: [
      [nop]
    ]
  -
    type: asm_a64
    main_offset: 0x4F3D7C
    instructions: [
      [nop]
    ]
  -
    type: asm_a64
    main_offset: 0x4F3D8C
    instructions: [
      [nop]
    ]
  -
    type: asm_a64
    main_offset: 0x4F3D94
    instructions: [
      [nop]
    ]
  -
    type: asm_a64
    main_offset: 0x4D8748
    instructions: [
      [nop]
    ]
  -
    type: asm_a64
    main_offset: 0x4D8754
    instructions: [
      [nop]
    ]
  -
    type: asm_a64
    main_offset: 0x4D8760
    instructions: [
      [nop]
    ]
  -
    type: asm_a64
    main_offset: 0x4D876C
    instructions: [
      [nop]
    ]
  # Default 30 FPS values
  -
    type: bytes
    main_offset: 0x1D584F8
    value_type: int32
    value: [30, 2]
  -
    type: bytes
    main_offset: 0x1D6BFA0
    value_type: float
    value: 30
  -
    type: bytes
    main_offset: 0x2AEFB30
    value_type: uint32
    value: 1
ALL_FPS:
  -
    type: evaluate_write
    address: [MAIN, 0x1D584F8]
    value_type: int32
    value: [FPS_TARGET, VSYNC_TARGET]
  -
    type: evaluate_write
    address: [MAIN, 0x1D6BFA0]
    value_type: float
    value: FPS_TARGET
  -
    type: evaluate_write
    address: [MAIN, 0x2AEFB30]
    value_type: int32
    value: "VSYNC_TARGET - 1"
  -
    type: block
    what: timing

